Supplier Invoice id
Updates Supplier Invoice
Sample request:
PUT /supplierinvoices/1
{
"supplier_invoice_number": "1235",
"supplier_invoiced_on": "2022-01-01",
"status": "Finalised",
"notes": "notes",
"distribute_costs_by": "Weight",
"international_order": true,
"landed_costs_calculation": "Currency Conversion",
"origin_country": {
"id": 2
},
"currency_conversion": 1.14,
"rounding_adjustment": 1.5
}
Path Parameters
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Invoice model
EmptyExample
Response
application/json
Response
Supplier Invoice updated
SupplierInvoice
Suplier Invoice Model
Id
Supplier Invoice Number
Supplier Invoice status
Supplier Invoice notes
Is International Order
Allowed values:ManualCurrency Conversion
Currency multiplier
Rounding Adjustment
Show Child Parameters
Distribute costs by
Direct costs model
Show Child Parameters
Supplier Invoice Purchase Order Receipt Model
Show Child Parameters
Total buy price ex
Total tax
Total buy price inc
Total applied buy price ex
Created on
Show Child Parameters
Modified on
Show Child Parameters
Finalised on
Show Child Parameters
Supplier Invoiced On
Path Parameters
Headers
Body
Searches Supplier Invoices by parameters
Searches Supplier Invoices by parameters
Query Parameters
Filter by.
Available field name values: id, supplier_invoice_number, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, status, total_buy_price_ex, distribute_costs_by, freight_total_ex, freight_includes_tax, freight_total_tax, freight_total_inc, duty_total_ex, duty_includes_tax, duty_total_tax, duty_total_inc, misc_total_ex, misc_includes_tax, misc_total_tax, misc_total_inc, purchase_order_supplier, purchase_order_id, total_tax, total_buy_price_inc, total_applied_buy_price_ex, supplier_invoiced_on
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,created_by_id:in:2|432
Order by.
Available field name values: id, supplier_invoice_number, created_on, created_by_id, created_by_first_name, created_by_surname, modified_on, modified_by_id, modified_by_first_name, modified_by_surname, finalised_on, finalised_by_id, finalised_by_first_name, finalised_by_surname, status, total_buy_price_ex, distribute_costs_by, freight_total_ex, freight_includes_tax, freight_total_tax, freight_total_inc, duty_total_ex, duty_includes_tax, duty_total_tax, duty_total_inc, misc_total_ex, misc_includes_tax, misc_total_tax, misc_total_inc, total_tax, total_buy_price_inc, total_applied_buy_price_ex, supplier_invoiced_on
Available direction values: asc, desc.
Example: id asc, product_id desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Supplier Invoices data
SupplierInvoice.PagingResponse
Suplier Invoice Model
Show Child Parameters
Query Parameters
Headers
Creates Supplier Invoice
Sample request:
POST /supplierinvoices
{
"status": "In Progress",
"notes": "notes",
"supplier_invoice_number": "1235",
"supplier_invoiced_on": "2022-01-01",
"rounding_adjustment": -2.1,
"purchase_order_receipts": [
{
"id": 1,
"purchase_order_id": 1,
"purchase_order_receipt_items": [
{
"purchase_order_item_id": 3,
"quantity_received": 6,
"quantity_faulty": 1,
"quantity_invoiced": 1,
"buy_price_ex": 2,
"bin": "bin",
"include_tax": true,
"notes": "notes"
},
{
"purchase_order_item_id": 4,
"quantity_received": 4,
"quantity_faulty": 1,
"quantity_invoiced": 1,
"buy_price_ex": 2,
"bin": "bin",
"include_tax": true,
"notes": "notes"
}]
}],
"distribute_costs_by": "Value",
"direct_costs":
{
"freight":
{
"includes_tax": false,
"total_ex": 10
},
"misc":
{
"includes_tax": false,
"total_ex": 10
},
"duty":
{
"total_ex": 20.5
}
}
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Invoice model
EmptyExample
Response
application/json
Response
Supplier Invoice created
SupplierInvoice
Suplier Invoice Model
Id
Supplier Invoice Number
Supplier Invoice status
Supplier Invoice notes
Is International Order
Allowed values:ManualCurrency Conversion
Currency multiplier
Rounding Adjustment
Show Child Parameters
Distribute costs by
Direct costs model
Show Child Parameters
Supplier Invoice Purchase Order Receipt Model
Show Child Parameters
Total buy price ex
Total tax
Total buy price inc
Total applied buy price ex
Created on
Show Child Parameters
Modified on
Show Child Parameters
Finalised on
Show Child Parameters
Supplier Invoiced On
Headers
Body
Updates Supplier Invoice Direct Costs
Sample request:
PUT /supplierinvoices/1/directcosts
{
"freight":
{
"total_ex": 10,
"includes_tax": false
},
"misc":
{
"total_ex": 32.1,
"includes_tax": true
},
"duty":
{
"total_ex": 20.5
}
}
Path Parameters
Supplier Invoice id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Supplier Invoice Direct Costs model
EmptyExample
Response
application/json
Response
Supplier Invoice Direct Costs updated
SupplierInvoiceDirectCosts
Supplier Invoice Direct Costs Model
DirectCosts AppliedOn
Is DirectCosts Apply Pending
Direct Costs Item model
Show Child Parameters
Direct Costs Item model
Show Child Parameters
Direct Costs Item model